from quixote import get_publisher

from qommon import _
from qommon.publisher import get_publisher_class, get_request
from qommon.misc import get_cfg

import modules.admin
import modules.backoffice
import modules.links_ui
import modules.announces_ui
import modules.categories_admin
import modules.events_ui
import modules.payments_ui
import modules.strongbox_ui
import modules.formpage
import modules.template
import modules.root
import modules.payments
import modules.connectors
import modules.abelium_domino_ui
import modules.abelium_domino_vars
import modules.abelium_domino_synchro

get_publisher_class().register_translation_domain('auquotidien')
get_publisher_class().default_configuration_path = 'au-quotidien-wcs-settings.xml'

rdb = get_publisher_class().backoffice_directory_class

rdb.items = []

rdb.register_directory('announces', modules.announces_ui.AnnouncesDirectory())
rdb.register_menu_item('announces/', _('Announces'))

rdb.register_directory('links', modules.links_ui.LinksDirectory())
rdb.register_menu_item('links/', _('Links'))

rdb.register_directory('events', modules.events_ui.EventsDirectory())
rdb.register_menu_item('events/', _('Events'))

rdb.register_directory('payments', modules.payments_ui.PaymentsDirectory())
rdb.register_menu_item('payments/', _('Payments'))

rdb.register_directory('strongbox', modules.strongbox_ui.StrongboxDirectory())
rdb.register_menu_item('strongbox/', _('Strongbox'))

rdb.register_directory('settings', modules.admin.SettingsDirectory())
rdb.register_directory('categories', modules.categories_admin.CategoriesDirectory())

import wcs.admin.settings
wcs.admin.settings.SettingsDirectory.domino = modules.abelium_domino_ui.AbeliumDominoDirectory()
wcs.admin.settings.SettingsDirectory._q_exports.append('domino')

import wcs.categories
wcs.categories.Category.XML_NODES = [('name', 'str'), ('url_name', 'str'),
        ('description', 'str'), ('position', 'int'),
        ('homepage_position', 'str'), ('redirect_url', 'str'), ('limit', 'int')]
